/*
 * Copyright 2010-2015 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package com.amazonaws.services.cloudsearch.model;

/**
 * Option State
 * @deprecated Use {@link com.amazonaws.services.cloudsearchv2.model.OptionState} instead.
 */
 @Deprecated
public enum OptionState {
    
    RequiresIndexDocuments("RequiresIndexDocuments"),
    Processing("Processing"),
    Active("Active");

    private String value;

    private OptionState(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return this.value;
    }

    /**
     * Use this in place of valueOf.
     *
     * @param value
     *            real value
     * @return OptionState corresponding to the value
     */
    public static OptionState fromValue(String value) {
        if (value == null || "".equals(value)) {
            throw new IllegalArgumentException("Value cannot be null or empty!");
        
        } else if ("RequiresIndexDocuments".equals(value)) {
            return OptionState.RequiresIndexDocuments;
        } else if ("Processing".equals(value)) {
            return OptionState.Processing;
        } else if ("Active".equals(value)) {
            return OptionState.Active;
        } else {
            throw new IllegalArgumentException("Cannot create enum from " + value + " value!");
        }
    }
}
    